org.springframework.web.bind.annotation

## Annotation Type PutMapping

-     @Target(value=METHOD)
       @Retention(value=RUNTIME)
       @Documented
       @RequestMapping(method=PUT)
      public @interface PutMapping

  Annotation for mapping HTTP `PUT` requests onto specific handler methods.

  Specifically, `@PutMapping` is a composed annotation that acts as a shortcut for `@RequestMapping(method = RequestMethod.PUT)`.

  Since:
    4.3
  Author:
    Sam Brannen
  See Also:
    `GetMapping`, `PostMapping`, `DeleteMapping`, `PatchMapping`, `RequestMapping`

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String[]` | `consumes` Alias for `RequestMapping.consumes()`.
    `String[]` | `headers` Alias for `RequestMapping.headers()`.
    `String` | `name` Alias for `RequestMapping.name()`.
    `String[]` | `params` Alias for `RequestMapping.params()`.
    `String[]` | `path` Alias for `RequestMapping.path()`.
    `String[]` | `produces` Alias for `RequestMapping.produces()`.
    `String[]` | `value` Alias for `RequestMapping.value()`.

- - ### Element Detail

    - #### name

          @AliasFor(annotation=RequestMapping.class)
          public abstract String name

      Alias for `RequestMapping.name()`.
      Default:
        ""

  - - #### value

          @AliasFor(annotation=RequestMapping.class)
          public abstract String[] value

      Alias for `RequestMapping.value()`.
      Default:
        {}

  - - #### path

          @AliasFor(annotation=RequestMapping.class)
          public abstract String[] path

      Alias for `RequestMapping.path()`.
      Default:
        {}

  - - #### params

          @AliasFor(annotation=RequestMapping.class)
          public abstract String[] params

      Alias for `RequestMapping.params()`.
      Default:
        {}

  - - #### headers

          @AliasFor(annotation=RequestMapping.class)
          public abstract String[] headers

      Alias for `RequestMapping.headers()`.
      Default:
        {}

  - - #### consumes

          @AliasFor(annotation=RequestMapping.class)
          public abstract String[] consumes

      Alias for `RequestMapping.consumes()`.
      Default:
        {}

  - - #### produces

          @AliasFor(annotation=RequestMapping.class)
          public abstract String[] produces

      Alias for `RequestMapping.produces()`.
      Default:
        {}